FastpathArg
Keywords: org.postgresql.fastpath.FastpathArg class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.postgresql.fastpath
Class FastpathArg

    java.lang.Object
      org.postgresql.fastpath.FastpathArg

    public class FastpathArg

extends java.lang.Object

Each fastpath call requires an array of arguments, the number and type dependent on the function being called.

Constructor Summary
`FastpathArg(byte[] bytes)` Constructs an argument that consists of an array of bytes
`FastpathArg(byte[] buf, int off, int len)` Constructs an argument that consists of part of a byte array
`FastpathArg(int value)` Constructs an argument that consists of an integer value
`FastpathArg(java.lang.String s)` Constructs an argument that consists of a String.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FastpathArg

    public FastpathArg(int value)

  Constructs an argument that consists of an integer value

  Parameters:
    `value` - int value to set

### FastpathArg

    public FastpathArg(byte[] bytes)

  Constructs an argument that consists of an array of bytes

  Parameters:
    `bytes` - array to store

### FastpathArg

    public FastpathArg(byte[] buf,
                       int off,
                       int len)

  Constructs an argument that consists of part of a byte array

  Parameters:
    `buf` - source array
    `off` - offset within array
    `len` - length of data to include

### FastpathArg

    public FastpathArg(java.lang.String s)

  Constructs an argument that consists of a String.

  Parameters:
    `s` - String to store

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD